<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title></title>

    
    <style>
        @page {
            size: A4;
            margin: 0;
            padding: 0;
        }

        html, body {
            size: A4;
            width: 210mm;
            height: 297mm;
            margin: 0;
            padding: 0;
            font-size: 13px;
            -webkit-print-color-adjust: exact;
        }

        .header {
            padding-top: 15mm;
        }

        h3, p {
            word-break: break-word;
        }

        h3 {
            font-size: 17px;
            padding-bottom: 3mm;
            margin: 0;
        }

        table {
            width: 100%;
            overflow-wrap: break-word;
            page-break-inside: auto;
            border-collapse: collapse;
            border-spacing: 0;
        }

        tr {
            page-break-inside: avoid;
            page-break-after: auto;
        }

        th {
            text-align: left;
            padding-top: 5mm;
        }

        table thead tr th {
            font-weight: bold;
            border-bottom: 1px solid black;
        }

        tr.bold {
            font-weight: bold !important;
        }

        tr.section td {
            border-top: 2px solid black !important;
        }

        tr.space td {
            padding-bottom: 20mm;
        }

        tr.border td {
            border-top: 1px solid black !important;
        }

        tr.no-border td {
            border: 0 !important;
            border-bottom: 0 !important;
            border-top: 0 !important;
        }

        table tbody tr:last-child td {
            border: none;
            padding-bottom: 0;
        }

        .page {
            margin: 15mm;
            width: 180mm;
        }


        .m-0 {
            margin: 0;
        }

        .p-0 {
            padding: 0;
        }

        .pr-10 {
            padding-right: 10px;
        }

        .pl-10 {
            padding-left: 10px;
        }

        .text-bold {
            font-weight: bold;
        }
        .text-small {
            font-size: 11px;
            margin: 0;
        }
        .text-left {
            text-align: left;
        }
        .text-right {
            text-align: right;
        }
        .text-center {
            text-align: center;
        }
        .text-justify {
            text-align: justify;
        }
    </style>
    
</head>
<body class="page">
<div class="header">
    <h3>{{ title|default("Export", true) }}</h3>
    <p class="m-0 p-0">
        
        {% if export.date_start and export.date_end %}
            Data from {{ export.date_start|date("DATE_FORMAT") }} until {{ export.date_end|date("DATE_FORMAT") }}
                {% elif export.date_start %}
            Data from {{ export.date_start|date("DATE_FORMAT") }}
                {% elif export.date_end %}
            Data until {{ export.date_end|date("DATE_FORMAT") }}
                {% else %}
            Overall data
        {% endif %}
        
    </p>
</div>
<table>
    <thead>
    
    <tr>
        {% for header in header_list %}
            <th class="{{ header.classes }}">{{ header.value }}</th>
        {% endfor %}
    </tr>
    
    </thead>
    <tbody>
    
    {% for row in object_list %}
        <tr class="{{ row.classes|join(" ") }}">
            {% for col in row.columns %}
                <td class="{{ col.classes }}">{{ col.value|default("&dbsp;") }}</td>
            {% endfor %}
        </tr>
    {% endfor %}
    
    </tbody>
    <tfoot></tfoot>
</table>
</body>
</html>
